mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IDisposable System.Runtime.Serialization.IDeserializationCallback System.Runtime.Serialization.ISerializable System.Security.Principal.IIdentity This class represent an operating system identity (user).

The WindowsIdentity class can also be used on POSIX compliant operating system.

`// are we running on UNIX ? switch ((int)Environment.OSVersion.Platform) { case 4: // new value added by MS in 2.0 framework case 128: // old value used by Mono for 1.x framework // then if UID is 0 you're root! if (WindowsIdentity.GetCurrent ().Token == IntPtr.Zero) { Console.WriteLine ("Cool you're root!"); } break; default: Console.WriteLine ("You're not running on a Unix-like operating system"); break; } }`
- Constructor
  The user token.
  Create a new WindowsIdentity instance based on the specified user token.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  The user principal name.
  Create a new WindowsIdentity instance based on the specified user principal name.
  Currently this constructor is only supported on POSIX compliant oiperating systems.
  1.0.5000.0
  2.0.0.0
- Constructor
  The user token.
  The name of the authentication method used to authentify the current identity.
  Create a new WindowsIdentity instance based on the specified user token.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  Create a new WindowsIdentity instance based on the serialized informations.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  The user principal name.
  The name of the authentication method used to authentify the current identity.
  Create a new WindowsIdentity instance based on the specified user principal name.
  Currently this constructor is only supported on POSIX compliant oiperating systems.
  1.0.5000.0
  2.0.0.0
- Constructor
  The user token.
  The name of the authentication method used to authentify the current identity.
  The type of Windows account associated with the identity.
  Create a new WindowsIdentity instance based on the specified user token.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  The user token.
  The name of the authentication method used to authentify the current identity.
  The type of Windows account associated with the identity.
  The authentication status.
  Create a new WindowsIdentity instance based on the specified user token.
  To be added
  1.0.5000.0
  2.0.0.0
- Property
  System.String The name of the authentication method used to authentify the current identity. The authentication method (e.g. NTLM, POSIX ...). To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Void To be added. To be added. 1.0.5000.0
- Method
  System.Security.Principal.WindowsIdentity Return the operating system anonymous identity. To be added: an object of type 'WindowsIdentity' On POSIX compliant system the anonymous identity is mapped to the "nobody" user account. 1.0.5000.0 2.0.0.0
- Method
  System.Security.Principal.WindowsIdentity Return the current operating system identity (user). a WindowsIdentity instance representing the current user. `WindowsIdentity wi = WindowsIdentity.GetCurrent (); Console.WriteLine ("\tUserName:\t{0}", wi.Name); Console.WriteLine ("\tToken:\t\t{0}", wi.Token);` 1.0.5000.0 2.0.0.0
- Method
  System.Security.Principal.WindowsIdentity `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Security.Principal.WindowsIdentity `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Security.Principal.IdentityReferenceCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Security.Principal.WindowsImpersonationContext Impersonate the instance identity (user). To be added: an object of type 'WindowsImpersonationContext' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Security.Principal.WindowsImpersonationContext `` To be added: an object of type 'IntPtr' Impersonate the identity identified by the specified token. To be added: an object of type 'WindowsImpersonationContext' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Runtime.InteropServices.ComVisible(false)
  System.Security.Principal.TokenImpersonationLevel To be added. To be added. To be added. 2.0.0.0
- Property
  System.Boolean Returns if the current identity represents an anonymous identity. True if the current identity is anonymous, false otherwise. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Returns if the current identity was authenticated. True if the current identity was authenticated, false otherwise. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Returns if the current identity represents an guest identity. True if the current identity is guest, false otherwise. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Returns if the current identity represents the SYSTEM identity. True if the current identity is SYSTEM, false otherwise. To be added 1.0.5000.0 2.0.0.0
- Property
  System.String Current name of the identity. Textual representation of the current identity (e.g. user name). To be added 1.0.5000.0 2.0.0.0
- Property
  System.Runtime.InteropServices.ComVisible(false)
  System.Security.Principal.SecurityIdentifier To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.IntPtr Return the current user token. To be added: an object of type 'IntPtr' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Runtime.InteropServices.ComVisible(false)
  System.Security.Principal.SecurityIdentifier To be added. To be added. To be added. 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)